summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-electronics/gspiceui
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-electronics/gspiceui')
-rw-r--r--sci-electronics/gspiceui/Manifest3
-rw-r--r--sci-electronics/gspiceui/files/gspiceui-0.9.99-examples.patch52
-rw-r--r--sci-electronics/gspiceui/files/gspiceui-0.9.99-flags.patch27
-rw-r--r--sci-electronics/gspiceui/files/gspiceui-1.0.0-flags.patch28
-rw-r--r--sci-electronics/gspiceui/files/gspiceui-1.1.0-flags.patch26
-rw-r--r--sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild69
-rw-r--r--sci-electronics/gspiceui/gspiceui-0.9.99.ebuild67
-rw-r--r--sci-electronics/gspiceui/gspiceui-1.0.0.ebuild66
-rw-r--r--sci-electronics/gspiceui/gspiceui-1.1.0.ebuild76
-rw-r--r--sci-electronics/gspiceui/metadata.xml12
10 files changed, 426 insertions, 0 deletions
diff --git a/sci-electronics/gspiceui/Manifest b/sci-electronics/gspiceui/Manifest
new file mode 100644
index 00000000000..4f35bd86ec8
--- /dev/null
+++ b/sci-electronics/gspiceui/Manifest
@@ -0,0 +1,3 @@
+DIST gspiceui-v0.9.99.tar.gz 574595 SHA256 9d76db157c4b3f0d4b7bba289653f6646da5183eb7cdc08c9f1056aa7d3f9533 SHA512 87e3422b7425d8ed99c5f946ce27c35a12b3379ae61dd0c8114815fe2d413f9cb983da2cb3a284af6432bfd49dd4cf6d3f1e3aa78e815999e5dccc420890dffe WHIRLPOOL c8417ab5f4c4ca74987978716aa5a224a1b64f38b7e029e0fe3e589082488c8251d4dfe5c2b7e22c6a25ba23632dad0d71331283003ee06c417e9a27a2bb6a6e
+DIST gspiceui-v1.0.00.tar.gz 612517 SHA256 ff8d38b9bb10bf695c00a0660dcbd14a43072e93851c5100a85133919736d5da SHA512 9f32ad6da742ecaed0ed9ce2e076d94553cee897f0410108cc0e07ebf1c885eb7b5923a7fc69848afd17ce1844f5d636762eb63a6f923c8a88a1d067860d1edb WHIRLPOOL 9e288a8f8303068a2ef3be8d1ac1e06f54e0554b2308df3fff762467eb10dbd73d43bd3aec761e9b357b3733db2bc8ce19333d707926657fcecc8e971623381f
+DIST gspiceui-v1.1.00.tar.gz 1048236 SHA256 22cbe0a8800f9fade43235c74df2e3defb06f2d6e0ac57cff81d058ab89da564 SHA512 46ccf3dd7a5dd9ec1cac1eb742187ecab15a6c0033467d52a44c916e239696faf7b8797e1a155191cf0ed37b04619b0666cff51e78912a06ecd2c63d377cba93 WHIRLPOOL 66c0e089c9246924eee308ec120a7ecd256d91b4e54306d3c7f9e4bc2fcd2982157bbb551d376fb80f1df1c547ea9723a9dc9b0549745f79ff754f2202ef7204
diff --git a/sci-electronics/gspiceui/files/gspiceui-0.9.99-examples.patch b/sci-electronics/gspiceui/files/gspiceui-0.9.99-examples.patch
new file mode 100644
index 00000000000..54d37ce9626
--- /dev/null
+++ b/sci-electronics/gspiceui/files/gspiceui-0.9.99-examples.patch
@@ -0,0 +1,52 @@
+# add missing simulation models
+diff -uNr lib/npn/bc548.mod lib/npn/bc548.mod
+--- lib/npn/bc548.mod 1970-01-01 01:00:00.000000000 +0100
++++ lib/npn/bc548.mod 2009-09-10 01:25:48.000000000 +0200
+@@ -0,0 +1,5 @@
++*BC548BP ZETEX Spice model Last revision 4/90 General Purpose
++*ZTX Si 500mW 30V 200mA 300MHz pkg:TO-92 1,2,3
++.MODEL BC548 NPN( IS=10.2F NF=1 BF=676 VAF=98.6 IKF=60M ISE=1.94P NE=2 BR=4 NR=1
+++ VAR=24 IKR=90M RE=0.515 RB=2.06 RC=0.206 XTB=1.5 CJE=7.05P VJE=1.1 MJE=0.5
+++ CJC=5.21P VJC=0.3 MJC=0.3 TF=530P TR=368N )
+diff -uNr lib/npn/bc550.mod lib/npn/bc550.mod
+--- lib/npn/bc550.mod 1970-01-01 01:00:00.000000000 +0100
++++ lib/npn/bc550.mod 2009-09-10 01:25:33.000000000 +0200
+@@ -0,0 +1,6 @@
++*BC550BP ZETEX Spice model Last revision 4/90 Low Noise
++*ZTX Si 3dB 45V 200mA 300MHz pkg:TO-92 1,2,3
++.MODEL BC550 NPN( IS=1.8E-14 BF=400 NF=0.9955 VAF=80 IKF=0.14 ISE=5E-14
+++ NE=1.46 BR=35.5 NR=1.005 VAR=12.5 IKR=0.03 ISC=1.72E-13 NC=1.27 RB=0.56
+++ RE=0.6 RC=0.25 CJE=1.3E-11 TF=6.4E-10 CJC=4E-12 VJC=0.54 TR=5.072E-8 )
++
+diff -uNr lib/npn/tip41.mod lib/npn/tip41.mod
+--- lib/npn/tip41.mod 1970-01-01 01:00:00.000000000 +0100
++++ lib/npn/tip41.mod 2007-09-04 17:41:08.000000000 +0200
+@@ -0,0 +1,4 @@
++.MODEL TIP41 NPN(IS=457.5f XTI=3 EG=1.11 VAF=50 BF=156.7 ISE=1.346p NE=1.34
+++ IKF=3.296 NK=.5961 XTB=2.2 BR=7.639 ISC=604.1f NC=2.168 IKR=8.131m RC=91.29m
+++ CJC=278.7p MJC=.385 VJC=.75 FC=.5 CJE=433p MJE=.5 VJE=.75 TR=1.412u TF=37.34n
+++ ITF=35.68 XTF=1.163 VTF=10 RB=.1)
+diff -uNr lib/pnp/2n5401.mod lib/pnp/2n5401.mod
+--- lib/pnp/2n5401.mod 1970-01-01 01:00:00.000000000 +0100
++++ lib/pnp/2n5401.mod 2007-09-04 17:41:08.000000000 +0200
+@@ -0,0 +1,4 @@
++.MODEL 2N5401 PNP(IS=4.61E-13 BF=93 VAF=220 IKF=0.91 ISE=7.54E-11
+++ NE=2 BR=4 VAR=20 IKR=1.36 RB=3.86 RE=0.965 RC=0.386 CJE=5.66E-11 VJE=1.1
+++ MJE=0.5 TF=5.3E-10 CJC=2.36E-11 VJC=0.3 MJC=0.3 TR=3.68E-7 XTB=1.5 )
++
+diff -uNr lib/pnp/bc558.mod lib/pnp/bc558.mod
+--- lib/pnp/bc558.mod 1970-01-01 01:00:00.000000000 +0100
++++ lib/pnp/bc558.mod 2007-09-04 17:41:08.000000000 +0200
+@@ -0,0 +1,4 @@
++.MODEL BC558 PNP(IS=1.15E-14 BF=330 NF=0.9872 VAF=84.56 IKF=0.1
+++ ISE=5E-14 NE=1.4 BR=13 NR=0.996 VAR=8.15 IKR=0.012 ISC=1.43E-14 NC=1.1
+++ RB=0.2 RE=0.4 RC=0.95 CJE=1.6E-11 TF=4.93E-10 CJC=1.05E-11 VJC=0.565
+++ MJC=0.415 TR=7.355E-8)
+diff -uNr lib/pnp/tip42.mod lib/pnp/tip42.mod
+--- lib/pnp/tip42.mod 1970-01-01 01:00:00.000000000 +0100
++++ lib/pnp/tip42.mod 2007-09-04 17:41:08.000000000 +0200
+@@ -0,0 +1,4 @@
++.MODEL TIP42 PNP(IS=66.19f XTI=3 EG=1.11 VAF=100 BF=137.6 ISE=862.2f NE=1.481
+++ IKF=1.642 NK=.5695 XTB=2 BR=5.88 ISC=273.5f NC=1.24 IKR=3.555 RC=79.39m
+++ CJC=870.4p MJC=.6481 VJC=.75 FC=.5 CJE=390.1p MJE=.4343 VJE=.75 TR=235.4n
+++ TF=23.21n ITF=71.33 XTF=5.982 VTF=10 RB=.1)
diff --git a/sci-electronics/gspiceui/files/gspiceui-0.9.99-flags.patch b/sci-electronics/gspiceui/files/gspiceui-0.9.99-flags.patch
new file mode 100644
index 00000000000..5129929dc15
--- /dev/null
+++ b/sci-electronics/gspiceui/files/gspiceui-0.9.99-flags.patch
@@ -0,0 +1,27 @@
+diff -urN gspiceui-v0.9.99.orig/src/Makefile gspiceui-v0.9.99/src/Makefile
+--- gspiceui-v0.9.99.orig/src/Makefile 2010-04-16 10:43:59.000000000 +0200
++++ gspiceui-v0.9.99/src/Makefile 2010-11-01 00:25:32.000000000 +0100
+@@ -59,13 +59,7 @@
+ INSTALLDIR = /usr/local/bin
+
+ # Compiler options
+-ifeq ($(GSPICEUI_DBG),0)
+- # Options for release (not using -Wall since it's GCC specific)
+- CXXFLAGS := -O -pipe $(shell $(WXCFG) --cxxflags)
+-else
+- # Options for development
+- CXXFLAGS := -Wall -g -pipe $(shell $(WXCFG) --cxxflags)
+-endif
++CXXFLAGS += $(shell $(WXCFG) --cxxflags)
+
+ # Includes
+ INCLUDES = -I/usr/include -I/usr/X11R6/include -I.
+@@ -108,7 +102,7 @@
+ # -o specify the output file name
+
+ $(BINDIR)/$(PROG) : $(OBJS)
+- $(CC) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LIBS)
++ $(CC) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LDFLAGS) $(LIBS)
+ ifeq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
+ cp $(BINDIR)/$(PROG) $(ROOT)/GSpiceUI.app/Contents/MacOS/gspiceui
+ endif
diff --git a/sci-electronics/gspiceui/files/gspiceui-1.0.0-flags.patch b/sci-electronics/gspiceui/files/gspiceui-1.0.0-flags.patch
new file mode 100644
index 00000000000..17cc77d8f8b
--- /dev/null
+++ b/sci-electronics/gspiceui/files/gspiceui-1.0.0-flags.patch
@@ -0,0 +1,28 @@
+# drop -Ofast option understood only from gcc-4.6 on
+# and make it respect LDFLAGS and CXXFLAGS
+--- src/Makefile.old 2012-02-11 13:29:27.000000000 +0100
++++ src/Makefile 2012-02-11 13:31:13.000000000 +0100
+@@ -59,13 +59,7 @@
+ INSTALLDIR = /usr/local/bin
+
+ # Compiler options
+-ifeq ($(GSPICEUI_DBG),0)
+- # Options for release (not using -Wall since it's GCC specific)
+- CXXFLAGS := -Ofast -pipe $(shell $(WXCFG) --cxxflags)
+-else
+- # Options for development
+- CXXFLAGS := -Wall -g -pipe $(shell $(WXCFG) --cxxflags)
+-endif
++ CXXFLAGS += $(shell $(WXCFG) --cxxflags)
+
+ # Includes
+ INCLUDES = -I/usr/include -I/usr/X11R6/include -I.
+@@ -106,7 +100,7 @@
+ # -o specify the output file name
+
+ $(BINDIR)/$(PROG) : $(OBJS)
+- $(CC) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LIBS)
++ $(CC) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LDFLAGS) $(LIBS)
+ ifeq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
+ cp $(BINDIR)/$(PROG) $(ROOT)/GSpiceUI.app/Contents/MacOS/gspiceui
+ endif
diff --git a/sci-electronics/gspiceui/files/gspiceui-1.1.0-flags.patch b/sci-electronics/gspiceui/files/gspiceui-1.1.0-flags.patch
new file mode 100644
index 00000000000..60f2acf0477
--- /dev/null
+++ b/sci-electronics/gspiceui/files/gspiceui-1.1.0-flags.patch
@@ -0,0 +1,26 @@
+--- src/Makefile.old 2015-07-03 18:06:15.000000000 +0200
++++ src/Makefile 2015-07-03 18:08:50.000000000 +0200
+@@ -69,13 +69,7 @@
+ # -Ofast Optimize till it hurts : "-O3" + enable opts not valid for all standard-compliants
+ # -Os Optimize for size
+ # -Og Optimize debugging experience but don't break debugging
+-ifeq ($(GSPICEUI_DBG),0)
+- # Options for release (not using -Wall since it's GCC specific)
+- CXXFLAGS := -O1 -pipe $(shell $(WXCFG) --cxxflags)
+-else
+- # Options for development
+- CXXFLAGS := -g -Og -Wall -Wextra -pipe $(shell $(WXCFG) --cxxflags)
+-endif
++ CXXFLAGS += $(shell $(WXCFG) --cxxflags)
+
+ # The following suppresses spurious warnings from gcc with wxWidgets v2.8.12
+ ifeq ($(GSPICEUI_WXLIB),2.8)
+@@ -134,7 +128,7 @@
+ # -o specify the output file name
+
+ $(BINDIR)/$(PROG) : $(OBJS)
+- $(CXX) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LIBS)
++ $(CXX) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LDFLAGS) $(LIBS)
+ ifeq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
+ cp $(BINDIR)/$(PROG) $(ROOT)/GSpiceUI.app/Contents/MacOS/gspiceui
+ endif
diff --git a/sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild b/sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild
new file mode 100644
index 00000000000..7bf15c424c3
--- /dev/null
+++ b/sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+WX_GTK_VER="2.8"
+inherit eutils wxwidgets
+
+MY_P="${PN}-v${PV}"
+
+DESCRIPTION="GUI frontend for Ngspice and Gnucap"
+HOMEPAGE="http://www.geda.seul.org/tools/gspiceui/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples schematics waveform"
+
+DEPEND="x11-libs/wxGTK:2.8[X]
+ sci-electronics/electronics-menu"
+RDEPEND="${DEPEND}
+ || ( sci-electronics/ngspice sci-electronics/gnucap )
+ waveform? ( sci-electronics/gwave )
+ schematics? ( sci-electronics/geda )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Use Gentoo LDFLAGS and CXXFLAGS
+ epatch "${FILESDIR}/${P}-flags.patch"
+ # Add missing models for examples
+ epatch "${FILESDIR}"/${P}-examples.patch
+
+ # Adjusting the doc path at src/main/HelpTasks.cpp
+ sed -i -e \
+ "s:/share/gspiceui/html/User-Manual.html:/share/doc/${PF}/html/User-Manual.html:g" \
+ src/main/HelpTasks.cpp \
+ || die "Patching src/main/HelpTasks.cpp failed"
+}
+
+src_install() {
+ dobin bin/gspiceui || die
+ dodoc ChangeLog ToDo || die
+ doman gspiceui.1 || die
+ newicon src/icons/gspiceui-48x48.xpm gspiceui.xpm || die
+
+ dohtml html/*.html html/*.jpeg || die
+
+ # installing examples and according model and symbol files
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/sch
+ doins -r sch/* || die
+ insinto /usr/share/doc/${PF}/lib
+ doins -r lib/* || die
+ fi
+
+ make_desktop_entry gspiceui "GNU Spice GUI" gspiceui "Electronics"
+}
+
+pkg_postinst() {
+ if use examples ; then
+ elog "If you want to use the examples, copy from"
+ elog "/usr/share/doc/${PF} the sch and lib directory"
+ elog "side by side to your home directory to be able"
+ elog "to generate the netlists as normal user."
+ fi
+}
diff --git a/sci-electronics/gspiceui/gspiceui-0.9.99.ebuild b/sci-electronics/gspiceui/gspiceui-0.9.99.ebuild
new file mode 100644
index 00000000000..fc0f2fddb1f
--- /dev/null
+++ b/sci-electronics/gspiceui/gspiceui-0.9.99.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+WX_GTK_VER="2.8"
+inherit eutils wxwidgets
+
+MY_P="${PN}-v${PV}"
+
+DESCRIPTION="GUI frontend for Ngspice and Gnucap"
+HOMEPAGE="http://www.geda.seul.org/tools/gspiceui/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="examples schematics waveform"
+
+DEPEND="x11-libs/wxGTK:2.8[X]
+ sci-electronics/electronics-menu"
+RDEPEND="${DEPEND}
+ || ( sci-electronics/ngspice sci-electronics/gnucap )
+ waveform? ( sci-electronics/gwave )
+ schematics? ( sci-electronics/geda )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Use Gentoo LDFLAGS and CXXFLAGS
+ epatch "${FILESDIR}/${P}-flags.patch"
+
+ # Adjusting the doc path at src/main/HelpTasks.cpp
+ sed -i \
+ -e "s:/share/gspiceui/html/gSpiceUI.html:/share/doc/${PF}/html/gSpiceUI.html:" \
+ src/main/HelpTasks.cpp \
+ || die "Patching src/main/HelpTasks.cpp failed"
+}
+
+src_install() {
+ dobin bin/gspiceui || die
+ dodoc ChangeLog ToDo || die
+ doman gspiceui.1 || die
+ newicon src/icons/gspiceui-48x48.xpm gspiceui.xpm || die
+
+ dohtml html/*.html html/*.jpeg || die
+
+ # installing examples and according model and symbol files
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/sch
+ doins -r sch/* || die
+ insinto /usr/share/doc/${PF}/lib
+ doins -r lib/* || die
+ fi
+
+ make_desktop_entry gspiceui "GNU Spice GUI" gspiceui "Electronics"
+}
+
+pkg_postinst() {
+ if use examples ; then
+ elog "If you want to use the examples, copy from"
+ elog "/usr/share/doc/${PF} the sch and lib directory"
+ elog "side by side to your home directory to be able"
+ elog "to generate the netlists as normal user."
+ fi
+}
diff --git a/sci-electronics/gspiceui/gspiceui-1.0.0.ebuild b/sci-electronics/gspiceui/gspiceui-1.0.0.ebuild
new file mode 100644
index 00000000000..0fe15fdc485
--- /dev/null
+++ b/sci-electronics/gspiceui/gspiceui-1.0.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+WX_GTK_VER="2.8"
+inherit eutils wxwidgets
+
+MY_P="${PN}-v${PV}0"
+
+DESCRIPTION="GUI frontend for Ngspice and Gnucap"
+HOMEPAGE="http://www.geda.seul.org/tools/gspiceui/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples schematics waveform"
+
+DEPEND="x11-libs/wxGTK:2.8[X]
+ sci-electronics/electronics-menu"
+RDEPEND="${DEPEND}
+ || ( sci-electronics/ngspice sci-electronics/gnucap )
+ waveform? ( sci-electronics/gwave )
+ schematics? ( sci-electronics/geda )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Use Gentoo LDFLAGS and CXXFLAGS
+ epatch "${FILESDIR}/${P}-flags.patch"
+
+ # Adjusting the doc path at src/main/HelpTasks.cpp
+ sed -i -e \
+ "s:/share/gspiceui/html/User-Manual.html:/share/doc/${PF}/html/User-Manual.html:g" \
+ src/main/HelpTasks.cpp || die
+}
+
+src_install() {
+ dobin bin/gspiceui || die
+ dodoc ChangeLog ReadMe ToDo || die
+ doman gspiceui.1 || die
+ newicon src/icons/gspiceui-48x48.xpm gspiceui.xpm || die
+
+ dohtml html/*.html html/*.jpg || die
+
+ # installing examples and according model and symbol files
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/sch
+ doins -r sch/* || die
+ insinto /usr/share/doc/${PF}/lib
+ doins -r lib/* || die
+ fi
+
+ make_desktop_entry gspiceui "GNU Spice GUI" gspiceui "Electronics"
+}
+
+pkg_postinst() {
+ if use examples ; then
+ elog "If you want to use the examples, copy from"
+ elog "/usr/share/doc/${PF} the sch and lib directory"
+ elog "side by side to your home directory to be able"
+ elog "to generate the netlists as normal user."
+ fi
+}
diff --git a/sci-electronics/gspiceui/gspiceui-1.1.0.ebuild b/sci-electronics/gspiceui/gspiceui-1.1.0.ebuild
new file mode 100644
index 00000000000..0133e3c13c2
--- /dev/null
+++ b/sci-electronics/gspiceui/gspiceui-1.1.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+WX_GTK_VER="3.0"
+inherit eutils flag-o-matic toolchain-funcs wxwidgets
+
+MY_P="${PN}-v${PV}0"
+
+DESCRIPTION="GUI frontend for Ngspice and Gnucap"
+HOMEPAGE="http://www.geda.seul.org/tools/gspiceui/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples schematics waveform"
+
+DEPEND="x11-libs/wxGTK:3.0[X]
+ sci-electronics/electronics-menu"
+RDEPEND="${DEPEND}
+ || ( sci-electronics/ngspice sci-electronics/gnucap )
+ waveform? ( sci-electronics/gwave )
+ schematics? ( sci-electronics/geda )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Use Gentoo LDFLAGS and CXXFLAGS
+ epatch "${FILESDIR}/${P}-flags.patch"
+
+ # Adjusting the doc path at src/main/HelpTasks.cpp
+ sed -i -e \
+ "s:/share/gspiceui/html/User-Manual.html:/share/doc/${PF}/html/User-Manual.html:g" \
+ src/main/HelpTasks.cpp || die
+
+ # Adjusting call to gwave program
+ sed -i -e "s/gwave2/gwave/g" src/TypeDefs.hpp || die
+
+ # bug 553968
+ replace-flags -O? -O1
+}
+
+src_compile() {
+ emake CXX=$(tc-getCXX)
+}
+
+src_install() {
+ dobin bin/gspiceui
+ dodoc ChangeLog ReadMe ToDo release-notes-v1.1.00.txt
+ doman gspiceui.1
+ newicon src/icons/gspiceui-48x48.xpm gspiceui.xpm
+
+ dohtml html/*.html html/*.jpg html/*.png
+
+ # installing examples and according model and symbol files
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/sch
+ doins -r sch/*
+ insinto /usr/share/doc/${PF}/lib
+ doins -r lib/*
+ fi
+
+ make_desktop_entry gspiceui "GNU Spice GUI" gspiceui "Electronics"
+}
+
+pkg_postinst() {
+ if use examples ; then
+ elog "If you want to use the examples, copy and extract from"
+ elog "/usr/share/doc/${PF} the sch and lib directory"
+ elog "side by side to your home directory to be able"
+ elog "to generate the netlists as normal user."
+ fi
+}
diff --git a/sci-electronics/gspiceui/metadata.xml b/sci-electronics/gspiceui/metadata.xml
new file mode 100644
index 00000000000..8af905c02f4
--- /dev/null
+++ b/sci-electronics/gspiceui/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-electronics</herd>
+ <use>
+ <flag name="schematics">Use <pkg>sci-electronics/geda</pkg> for schematics editing</flag>
+ <flag name="waveform">Use <pkg>sci-electronics/gwave</pkg> for waveform display</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">gspiceui</remote-id>
+ </upstream>
+</pkgmetadata>